Subject: RE: A potential deadlock in sockhash map

From: John Fastabend <[email-masked]>
Date: Fri, 03 Feb 2023 20:19:21 -0800

Hsin-Wei Hung wrote:
> Hi,
> 
> Our bpf runtime fuzzer (a customized syzkaller) triggered a lockdep warning
> in the bpf subsystem indicating a potential deadlock. We are able to
> trigger this bug on v5.15.25 and v5.19. The following code is a BPF PoC,
> and the lockdep warning is attached at the end.

Thanks, but can you test the latest kernel?

Or at least latest 5.15 stable, 5.15.25 is a bit old and is missing lots of
fixes. And 5.19 is not even a LTS so wouldn't have many fixes.

Ideally if possible testing bpf tree would be the most helpful.

 https://git.kernel.org/pub/scm/linux/kernel/git/bpf/bpf.git/

I believe we fixed a similar bug already so hoping this is just hitting an
already fixed bug. But, would be best to confirm thanks.

Thanks,
John